# SXP Reference

SXP_getResultType | Functions

#### Syntax

         SXP_getResultType(Q, typePtr)

Name | Type | Description
--- | --- | ---
`Q` | `QueryContext` | The current query context.
`typePtr` | `SXP_ExpressionType*` | The pointer to store the result type at.
`(RET)` | `int` | The error code.

#### Description

Retrieves the type of a result expression (`SXP_ExpressionType`) held in `QueryContext` after `SXP_query` has been called.

#### See Also

Groups | [ Functions ]
Entries | [ QueryContext | SXP_ExpressionType | SXP_getResultBool | SXP_getResultNodeset | SXP_getResultNumber | SXP_getResultString | SXP_query ]

© 2001-2003 Ginger Alliance
revision 03-01-31
This page was generated by APIDOC